{pkgs, ...}: {
  programs.rofi = {
    enable = true;
    catppuccin.enable = true;
    package = pkgs.rofi-wayland;

    extraConfig = {
      modi = "run,drun,window";
      icon-theme = "Oranchelo";
      show-icons = true;
      terminal = "wezterm";
      drun-display-format = "{icon} {name}";
      location = 0;
      disable-history = false;
      hide-scrollbar = true;
      display-drun = "   Apps ";
      display-run = "   Run ";
      display-window = " 󰍲  Window";
      display-Network = " 󰤨  Network";
      sidebar-mode = true;
    };

    theme = {
      "*".font = "Maple Mono NF 14";
      window.border-radius = 10;
    };
  };
}
